#include <stdio.h>
#include<iostream>
#include <string>
#include <math.h>

using namespace std;

int main()
{
    int a1,a2,i;
	char c1,c2;
	char s[2];

	scanf("%s",&s);
	c1=s[0];
	c2=s[1];
	scanf("%d",&a1);
	scanf("%d",&a2);
	string m;

	/*if(a1>a2&&(a1-a2)>1||a1==0&&a2==0) */
	if(abs(a1-a2)>1||a1==0&&a2==0)
    {
        printf("nemoguce");
    }
    
    else if(a1==a2)
    {
    	for(i=0;i<a1;i++)
    	{
    		m=m+c1;
    		m=m+c2;
		}
	}
	
	else if(a1>a2)
    {
    	m=m+c1;
    	for(i=0;i<a2;i++)
    	{
    		m=m+c2;
    		m=m+c1;
		}
	}
	
	else if(a1<a2)
    {
    	m=m+c2;
    	for(i=0;i<a1;i++)
    	{
    		m=m+c1;
    		m=m+c2;
		}
	}
    
	cout << m << endl;
	
	return 0;
}